$(function(){
    $('.hover_change').on('mouseenter', 'li', function () {
        $(this).addClass('active').siblings().removeClass('active');
        $(this).parents('.hover_box').find('.hover_content').hide();
        $(this).parents('.hover_box').find('.hover_content').eq($(this).index()).show();
    });
    jQuery(".txtMarquee-left").slide({mainCell:".bd ul",autoPlay:true,effect:"leftMarquee",interTime:50,trigger:"click",mouseOverStop:false});
    $.ajax({
        type: 'post',
        dataType: 'jsonp',
        url: "http://tk.yanxian.org/home/mock/onlineShow",
        data: {},
        success: function(result){
            var html ='';
            $.each(result.msg,function(index,val){
                html += `<li class="branch_area_box"><div class="region_box"><p class="region">${val.name}</p><span class="apply_number">已报名：${val.count}人</span></div><span data-name="${val.name}" data-area_id="${val.id}" class="subscribe subscribeEvent" style="cursor:pointer;display:none;">立即预约</span></li>`;
            });
            $("#data").html(html);
            $('.branch_area_box').on('mouseenter',function(){
                $(this).children('.region_box').hide();
                $(this).children('.subscribe').show();
            });
            $('.branch_area_box').on('mouseleave',function(){            
                $(this).children('.subscribe').hide();
                $(this).children('.region_box').show();
            });            
        },
        error: function(){}
    });                     
})
 
    layui.use(['layer'],function () {
        var layer = layui.layer;

        $('#line_down_save').on('click',function(){
            var id = $(".area_address-hover").attr("address-id");
            var start_time = $(".exan-area-hover").text();
            var area_id = $(".popout-area-hover").attr("data-city");            
            if(id==undefined){
                layer.msg('请选择考点',{time: 1000});
                return false;
            }
            if(start_time==undefined){
                layer.msg('请选择考点',{time: 1000});
                return false;
            }
            if(area_id==undefined){
                layer.msg('请选择考点',{time: 1000});
                return false;
            }                        
            var tempwindow=window.open('_blank');
            tempwindow.location.href='http://sso.yanxian.org/index/Personal/myPublicExam/id/'+id+'/start_time/'+start_time+'/area_id/'+area_id+'/type/2/source/mbaschool_pc'
        });

        $(document).on('click', '.subscribeEvent', function () {
            var area_id = $(this).attr('data-area_id');   
       
            $.ajax({
                url: 'http://tk.yanxian.org/home/mock/online_mock?area_id=' + area_id,
                type: 'get',
                data: {},
                jsonp: "callback",
                dataType : "jsonp",//数据类型为jsonp
                success: function(data){
                    var result = data.msg;
                    if(data.code == 200){
                        var area='';
                        result.area.forEach(function(item){
                            if(item.id==area_id){
                                area += '<li data-city="'+item.id+'" class="li-area popout-area-hover" style="cursor:pointer;">'+item.name+'</li>';
                            }else{
                                area += '<li data-city="'+item.id+'" class="li-area" style="cursor:pointer;">'+item.name+'</li>';
                            }                           
                        });
                        $('#area').html(area);
                        var exam = '';                        
                        result.timeInfo.forEach(function(item,index){      
                            if(index == 0){
                                exam += '<span class="exan-area-link exan-area-hover" style="cursor:pointer;">'+item.start_time+'</span>';
                            }else{
                                exam += '<span class="exan-area-link" style="cursor:pointer;">'+item.start_time+'</span>';
                            }                   
                           
                        });
                        $('#exam').html(exam);
                        var index = layer.open({
                            type: 1,
                            title:false,
                            closeBtn: 1,
                            shadeClose: true,
                            shade: 0.1,
                            area: ['780px', '690px'],
                            content: $('#course_section')
                        }); 
                        $('#cancel').click(function(){
                            layer.close(index);
                        });  
                        getLinkAddress($(".exan-area-hover").text(),$(".popout-area-hover").attr("data-city"));
                        $('.li-area').on('click',function(){
                            $('#area li').removeClass('popout-area-hover');
                            $('#area li').addClass('li-area');
                            $(this).addClass('popout-area-hover'); 
                            var area_id =$(this).attr("data-city");
                            var start_time = $(".exan-area-hover").text();
                            getLinkAddress(start_time,area_id);                            
                        });
                        $('.exan-area-link').on('click',function(){
                            $('#exam span').removeClass('exan-area-hover');
                            $('#exam span').addClass('exan-area-link');
                            $(this).addClass('exan-area-hover');        
                            var start_time =$(this).text();
                            var area_id = $(".popout-area-hover").attr("data-city");
                            getLinkAddress(start_time,area_id);
                        });
                     
                        function getLinkAddress(start_time,area_id){
                            $.ajax({
                                type: 'post',
                                dataType: 'jsonp',
                                url: "http://tk.yanxian.org/home/mock/lineAddress",
                                data: {
                                    start_time:start_time,
                                    area_id:area_id             
                                },                               
                                success: function(rs){                                
                                    var rsdata = rs.msg;
                                    var html='';
                                    rsdata.forEach(function(item){
                                        html += '<li>'+
                                                '<span style="cursor:pointer;" class="area_address" address-id='+item.id+'>考点：'+ item.area+'</span>'+
                                                '</li>';
                                    });
                                    $('#line_down_area').html(html);
                                    $('.area_address').on('click',function(){                        
                                        $('#line_down_area li span').removeClass('area_address-hover');
                                        $(this).removeClass('area_address');  
                                        $(this).addClass('area_address-hover');        
                                    });   
                                },
                                error: function(){}
                            });
                        }
                    }
                }
            });
        });    
    });